{% extends 'base.html.twig' %}

{% block title %}{{ 'reset_password.request.title' | trans }}{% endblock %}

{% block body_background %}style="background-image: url('{{ asset('images/intro.jpg') }}'); background-size: cover"{% endblock %}

{% block body %}
    <div class="container">
        <div class="row g-2 justify-content-center py-4 vh-100">
            <div class="col-lg-4 order-1 order-md-1 d-flex">


                {{ form_start(requestForm, { 'attr': {'class': 'm-auto bg-white rounded p-3'}}) }}
                {% for flash_error in app.flashes('reset_password_error') %}
                    <div class="alert alert-danger" role="alert">{{ flash_error }}</div>
                {% endfor %}

                <h1 class="mb-3">{{ 'reset_password.request.title' | trans }}</h1>
                {{ form_row(requestForm.email) }}
                <div class="mt-2">
                    {{ 'reset_password.request.help' | trans }}
                </div>

                <button class="mt-3 btn btn-primary">{{ 'reset_password.request.btn' | trans }}</button>
                {{ form_end(requestForm) }}
            </div>
        </div>
    </div>
{% endblock %}
